会員自由項目ラベル更新
PATCH
/customers/custom_field_labels/{no}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/custom_field_labels/1';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"label":"string"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/custom_field_labels/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "label": "string" }'会員自由項目ラベル情報を更新します。
対象プラン
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”no
required
integer
会員自由項目番号
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
label
required
ラベル
会員自由項目名
string
Example
{ "label": "string"}Responses
Section titled “Responses”更新成功
Media typeapplication/json
object
no
会員自由項目番号
integer
label
会員自由項目名
string
Example
{ "no": 1, "label": "string"}- 入力チェックエラーの場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example入力チェックエラーの場合
{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[label]は[85]文字以下である必要があります", "status": 400}- 指定した会員自由項目番号が存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example指定した会員自由項目番号が存在しない場合
{ "type": "about:blank", "title": "Not Found", "detail": "[no] 存在しない会員自由項目番号が指定されています。(no-1)。", "status": 404}